org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher

## Class ContentChildren<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList
    - - org.eclipse.core.databinding.observable.list.AbstractObservableList
      - - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.ContentChildren<E>

- All Implemented Interfaces:
    java.lang.Iterable, java.util.Collection, java.util.List, org.eclipse.core.databinding.observable.IObservable, org.eclipse.core.databinding.observable.IObservableCollection, org.eclipse.core.databinding.observable.list.IObservableList

      public class ContentChildren<E>
      extends org.eclipse.core.databinding.observable.list.AbstractObservableList

  An `AbstractObservableList` implementation for the child elements of a `CompositeContent`.

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentChildren()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addChild(E element)`
    `boolean` | `addChild(int position, E element)`
    `protected int` | `doGetSize()`
    `java.lang.Object` | `get(int index)`
    `java.util.List<E>` | `getElements()`
    `java.lang.Object` | `getElementType()`
    `java.util.Iterator<E>` | `iterator()`
    `boolean` | `removeChild(E element)`

    - ### Methods inherited from class org.eclipse.core.databinding.observable.list.AbstractObservableList

      `add, addAll, addAll, addChangeListener, addDisposeListener, addListChangeListener, addStaleListener, checkRealm, contains, containsAll, dispose, equals, fireChange, fireListChange, fireStale, firstListenerAdded, getRealm, hashCode, hasListeners, indexOf, isDisposed, isEmpty, isStale, lastIndexOf, lastListenerRemoved, move, remove, removeAll, removeChangeListener, removeDisposeListener, removeListChangeListener, removeStaleListener, retainAll, size, toArray, toArray`

    - ### Methods inherited from class java.util.AbstractList

      `add, clear, listIterator, listIterator, remove, removeRange, set, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.core.databinding.observable.list.IObservableList

      `listIterator, listIterator, remove, set, subList`

    - ### Methods inherited from interface java.util.List

      `add, clear, replaceAll, sort, spliterator`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### ContentChildren

          public ContentChildren()

  - ### Method Detail

    - #### getElementType

          public java.lang.Object getElementType()

    - #### doGetSize

          protected int doGetSize()

      Specified by:
        `doGetSize` in class `org.eclipse.core.databinding.observable.list.AbstractObservableList`

    - #### get

          public java.lang.Object get(int index)

      Specified by:
        `get` in interface `java.util.List`
      Specified by:
        `get` in interface `org.eclipse.core.databinding.observable.list.IObservableList`
      Specified by:
        `get` in class `java.util.AbstractList`

    - #### iterator

          public java.util.Iterator<E> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable`
      Specified by:
        `iterator` in interface `java.util.Collection`
      Specified by:
        `iterator` in interface `java.util.List`
      Specified by:
        `iterator` in interface `org.eclipse.core.databinding.observable.list.IObservableList`
      Overrides:
        `iterator` in class `org.eclipse.core.databinding.observable.list.AbstractObservableList`

    - #### getElements

          public java.util.List<E> getElements()

    - #### addChild

          public boolean addChild(E element)

    - #### addChild

          public boolean addChild(int position,
                                  E element)

    - #### removeChild

          public boolean removeChild(E element)